List questions
curl --request GET \
--url https://api.egp.scale.com/v5/questions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/questions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"prompt": "<string>",
"configuration": {
"choices": [
"<string>"
],
"multi": true,
"dropdown": true
},
"object": "question",
"conditions": [
{}
],
"archived_at": "2023-11-07T05:31:56Z",
"question_type": "categorical"
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Questions
List questions
Return a paginated list of the caller’s account’s questions.
Archived questions are excluded by default; set include_archived to true
to include them alongside active ones. Pass ids to restrict the result to
a specific set of question IDs. Results are paginated through the standard
pagination parameters. Use this to discover existing questions before adding
them to a question set, or to audit which questions have been archived.
GET
/
v5
/
questions
List questions
Authorizations
Headers
Query Parameters
Required range:
1 <= x <= 10000Available options:
asc, desc Response
Successful Response
- Question
- Question
- Question
- Question
- Question
- Question
Show child attributes
Show child attributes
The total of items that match the query. This is greater than or equal to the number of items returned.
Whether there are more items left to be fetched.
Allowed value:
"list"The maximum number of items to return.

